Bug 80505 - Linux has madvise enough to support OSAllocator::commit/decommit
Summary: Linux has madvise enough to support OSAllocator::commit/decommit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-07 03:17 PST by Hojong Han
Modified: 2012-03-15 13:28 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.25 KB, patch)
2012-03-07 03:30 PST, Hojong Han
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hojong Han 2012-03-07 03:17:13 PST
Linux has madvise enough to support OSAllocator::commit/decommit,
but it's not used in commit and decommit.
What about using this function with OS(LINUX) option?
Comment 1 Hojong Han 2012-03-07 03:30:24 PST
Created attachment 130587 [details]
Patch
Comment 2 Geoffrey Garen 2012-03-07 12:32:16 PST
Comment on attachment 130587 [details]
Patch

r=me
Comment 3 Hojong Han 2012-03-14 21:12:52 PDT
Thanks for review.
Isn't it necessary to put it in the queue?
Is there anything to do more? Please let me know.
Comment 4 WebKit Review Bot 2012-03-15 12:54:29 PDT
Comment on attachment 130587 [details]
Patch

Clearing flags on attachment: 130587

Committed r110874: <http://trac.webkit.org/changeset/110874>
Comment 5 WebKit Review Bot 2012-03-15 12:54:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Patrick R. Gansterer 2012-03-15 13:27:44 PDT
Comment on attachment 130587 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=130587&action=review

> Source/JavaScriptCore/wtf/OSAllocatorPosix.cpp:145
> +    madvise(address, bytes, MADV_DONTNEED);

what's the difference between this line and the line guarded with HAVE(MADV_DONTNEED)? can't we merge them or at least follow the "style" of the other lines?